import { HOSTS } from './constants';
export function getAPI(_a) {
    var baseUrl = _a.baseUrl, protocol = _a.protocol, apiPath = _a.apiPath;
    baseUrl || (baseUrl = location.host);
    protocol || (protocol = location.protocol);
    return protocol + "//" + baseUrl + "/" + apiPath;
}
export function getHost(hostName) {
    if (hostName === void 0) { hostName = 'italent'; }
    var env = window.BSGlobal.env || 'Production';
    return HOSTS[env][hostName];
}
export function getTitaAPI(_a) {
    var baseUrl = _a.baseUrl, protocol = _a.protocol, version = _a.version, apiPath = _a.apiPath;
    var userId = window.BSGlobal.loginUserInfo.Id;
    var tenantId = window.BSGlobal.tenantInfo.Id;
    protocol || (protocol = location.protocol);
    return protocol + '//' + baseUrl + '/api/' + version + '/' + tenantId + '/' + userId + '/' + apiPath;
}
